<?php

if ( function_exists( 'add_theme_support' ) ) 
	{ 
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 280, 210, true ); // Normal post thumbnails
	add_image_size( 'screen-shot', 980 );
	add_image_size( 'full', 980, 600, true );
	add_image_size( 'mini', 330, 330, true );
	add_image_size( 'default', 500, 500, true );
	add_image_size( 'icon', 100, 100, true );
	add_image_size('panorama',980,250, true);
	add_image_size('slideshow',980,500, true);
	add_image_size('slider',300,300);
	add_image_size('portfolio',300);
	add_image_size('gallery',490,300,true);
	add_image_size('original');
	add_image_size('masonry','500','',true);
	}  

function img_original_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'original'); 
	return  $image_url[0];  
	}
function img_mini_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'mini'); 
	return  $image_url[0];  
	}
function img_default_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'default'); 
	return  $image_url[0];  
	}
function img_icon_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'icon'); 
	return  $image_url[0];  
	}
function img_main_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'screen-shot'); 
	return  $image_url[0];  
	}
function img_slider_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'slider'); 
	return  $image_url[0];  
	}
function img_gallery_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'gallery'); 
	return  $image_url[0];  
	}
function img_panorama_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'panorama'); 
	return  $image_url[0];  
	}
function img_slideshow_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'slideshow'); 
	return  $image_url[0];  
	}
function img_screenshot_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'screen-shot'); 
	return  $image_url[0];  
	}
function img_full_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'full'); 
	return  $image_url[0];  
	}
function img_portfolio_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'portfolio'); 
	return  $image_url[0];  
	}
function img_masonry_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'masonry'); 
	return  $image_url[0];  
	}
function img_thumbnail_url($pid)
	{	
	$image_id = get_post_thumbnail_id($pid); 	
	$image_url = wp_get_attachment_image_src($image_id,'thumbnail'); 
	return  $image_url[0];  
	}